.\" $NetBSD: ugensa.4,v 1.9 2009/12/14 09:06:37 cherry Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 14, 2009
.Dt UGENSA 4
.Os
.Sh NAME
.Nm ugensa
.Nd USB generic serial adapter
.Sh SYNOPSIS
.Cd "ugensa*  at uhub?"
.Cd "ucom*  at ugensa?"
.Sh HARDWARE
The
.Nm
driver supports the following adapters (or their USB device portion,
for adaptors that contain a USB host controller, hub and a USB
device):
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Airprime PC5220
.It Novatel FlexPak GPS receiver
.It Qualcom CDMA MSM (found in Kyocera KPC650 EVDO interface)
.It Qualcom Inc. CDMA AC8700 (found in the ZTE 1x EVDO interface)
.It Sierra AirCard 580
.It Sierra AirCard 595
.It Sierra AirCard 875 [not tested]
.It Sierra Wireless EM5625 [not tested]
.It Sierra Wireless MC5720 [not tested]
.It Sierra Wireless MC5725 [not tested]
.It Sierra Wireless MC8755 [not tested]
.It Sierra Wireless MC8755 [not tested]
.It Sierra Wireless MC8755 [not tested]
.It Sierra Wireless MC8765 [not tested]
.It Sierra Wireless MC8775 [not tested]
.It Novatel Wireless Merlin CDMA (found in Verizon V620) [not tested]
.It Novatel ExpressCard [not tested]
.It Novatel Wireless S720 [not tested]
.It Novatel Ovation U720 [not tested]
.It Novatel Merlin XU870 HSDPA ExpressCard [not tested]
.It Novatel Merlin ES620 [not tested]
.It Dell/Novatel Wireless HDSPA modem
.It Dell W5500 HDSPA modem [not tested]
.It AnyDATA ADU-E500A [not tested]
.El
.Sh DESCRIPTION
The
.Nm
driver provides support for the USB-to-RS-232 Bridge chip used by various
vendors.
.Pp
The device is accessed through the
.Xr ucom 4
driver which makes it behave like a
.Xr tty 4 .
.Sh SEE ALSO
.Xr tty 4 ,
.Xr ucom 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 3.0 .
